if [ $# != 3 ];then
	echo "usage:upload.sh -u filename serverIP or upload.sh -f filename serverIP"
	echo "      -u:upgrade uboot,-f:upgrade firmware"
	exit 1
else  
	if [ $1 == "-u" ];then
		tftp -l /tmp/bootloader.img -r $2 -g $3
		if [ $? == 0 ];then
			FileName=$(du -k /tmp/bootloader.img |awk '{if($1<640){print "ok";}else{print "error";}}')
			if [ $FileName == "ok" ];then
				flash_eraseall -j /dev/mtd0
				flashcp -v /tmp/bootloader.img /dev/mtd0
				reboot -f
			else
				echo /tmp/bootloader.img filesize error
				exit 1	
			fi
		else
			echo tftp get file $2 failed
			exit 1
		fi
	elif [ $1 == "-f" ];then
		tftp -l /tmp/SayHi.jf -r $2 -g $3
		if [ $? == 0 ];then
			tar xzvf /tmp/SayHi.jf ./upgrade.sh ./upgrade.md5
			/tmp/upgrade.sh
		else
			echo tftp get file $2 failed
			exit 1
		fi
	else
		echo Parameter only use -u or -f
		exit 1
	fi  
fi
